import sys
import configparser

from PyQt5.QtWidgets import QApplication, QPushButton, QVBoxLayout, QWidget, QTextEdit


class MyWindow(QWidget):
    def __init__(self):
        super().__init__()
        self.setupUI()
        self.init_ini()

        self.pushButton1.clicked.connect(self.save_ini)
        self.pushButton2.clicked.connect(self.load_ini)

    def setupUI(self):
        self.setGeometry(800, 200, 300, 300)
        self.setWindowTitle("INI TEST")

        self.textEdit1 = QTextEdit()
        self.pushButton1 = QPushButton("Save INI")
        self.textEdit2 = QTextEdit()
        self.pushButton2 = QPushButton("Load INI")

        layout = QVBoxLayout()
        layout.addWidget(self.textEdit1)
        layout.addWidget(self.pushButton1)
        layout.addWidget(self.textEdit2)
        layout.addWidget(self.pushButton2)

        self.setLayout(layout)

    def init_ini(self):
        self.cf = configparser.ConfigParser()
        self.cf.read('example.ini')

    def save_ini(self):
        up_val = 1
        in_save = self.textEdit1.toPlainText()
        for e in in_save.split():
            self.cf.set("Data1", str(up_val), e)
            up_val += 1

        with open('example.ini', 'w') as handle:
            self.cf.write(handle)

    def load_ini(self):
        print(self.cf.sections())
        keys = self.cf["Data1"].keys()

        self.textEdit2.append("[Data1]")
        for key in keys:
            self.textEdit2.append(self.cf["Data1"][key])

        self.textEdit2.append("[Data2]")
        keys = self.cf["Data2"].keys()
        for key in keys:
            self.textEdit2.append(self.cf["Data2"][key])


if __name__ == "__main__":
    app = QApplication(sys.argv)
    window = MyWindow()
    window.show()
    app.exec_()